// -----------------------------------------------------------------------------
// sass
module.exports = function ( opt ) {
  return function () {
    opt.gulp.src(opt.path.src)
    .pipe(opt.plugins.plumber())
    .pipe(opt.plugins.include())
    .pipe(opt.plugins.sass({
      outputStyle: (opt.production ? 'compressed' : 'nested')
    }))
    .pipe(opt.plugins.autoprefixer())
    .pipe(opt.gulp.dest(opt.path.dest));
  };
};
// -----------------------------------------------------------------------------